<!--
-- Layout.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div class="ui-layout-root flex center-align vh-100 w-100">
		<div class="ui-page flex center-align h-100 w-100 column">
			<router-view :key="key" />
		</div>
	</div>
</template>

<script>
export default {
	name: 'Layout',
	computed: {
		key() { return this.$route.path; },
	}
};
</script>

<style lang="scss" scoped>

.ui-page {
	@include mx-container;
	margin-left: auto;
	margin-right: auto;
	max-height: 900px;
}
</style>

